Re: Installation of Oracle patch on linux.

From: Vladimir M. Zakharychev <>
Date: Wed, 20 Aug 2008 23:40:14 -0700 (PDT)
Message-ID: <>

On Aug 21, 9:13 am, wrote:
> Hello All,
> I  got the folowing Error when I install Oracle patch
> on linux.
> >>Error in invoking target 'Client_sharedlib' of makefile
> When I execute "relink client_sharedlib" ,I got the following output..
> /home/oracle/oracle/product/10.2.0/db_1/bin/genclntsh
> /usr/bin/ld: skipping incompatible /home/oracle/oracle/product/10.2.0/
> db_1/lib/libsql10.a when searching for -lsql10
> /usr/bin/ld: cannot find -lsql10
> collect2: ld returned 1 exit status
> genclntsh: Failed to link
> make: ** [client_sharedlib] Error 1
> Thanks in advance!
> sagar

Linux flavor? Is it x86 or x86-64? Is Oracle 32-bit or 64-bit? Make sure you installed proper architecture - it seems Oracle doesn't support installing Oracle for Linux_x86 on Linux_x86-64. Can also be that your initial installation is x86-64, but the patchset is for x86. Metalink has a few notes that might be of help, namely 368365.1, 334329.1, 460969.1.

And by the way, latest patchset for 10.2 is, I would recommend that you jump right to it.


   Vladimir M. Zakharychev
   N-Networks, makers of Dynamic PSP(tm) Received on Thu Aug 21 2008 - 01:40:14 CDT

Original text of this message